QGIS Application - Feature request #10260
Processing - Geodetic Distance
2014-05-13 10:01 AM - Antonio Locandro

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 18692
Description

If I use the field calculator in Attribute of layer and Enable on the fly CRS transformation for project if | use $length | get the geodetic
distance using the Vincenty implementation in meters, | see no way of doing this within Processing, thus | need to split my workflow in two

parts

It would be nice if there was a way to calculate geodetic distance in model builder

History

#1 - 2014-05-15 07:46 PM - Antonio Locandro

Update: | can find the distance using advanced field calculator, but it would be nice if using $length would return meters instead of degrees if the Project

CRS transformation is enabled, maybe a check to detect it could be used

#2 - 2016-05-24 12:07 PM - Alexander Bruy
- Category set to Processing/QGIS

#3 - 2016-05-24 07:52 PM - Nyall Dawson
- Resolution set to fixed/implemented

- Target version set to Version 2.14
- Status changed from Open to Closed

This is fixed since 2.14
